#ifndef BUZZER_H
#define BUZZER_H
  
  #define BUZZER_PIN 25// ESP32 DEVKIT GPIO25
  
  int freq = 2500;
  int channel = 0;
  int resolution = 8;
  int dutyCycle = 100;
  int repeat;
  int pauseBetweenBeeps = 1000;
  unsigned long previousMillis = 0;
  bool outputTone = false;                // Records current state
  unsigned long noteDuration = 50;
  
  void BUZZER_init(){
    ledcSetup(channel, freq, resolution);
    ledcAttachPin(BUZZER_PIN, channel);
  }
  
  void BUZZER(int x, int y){
      for (int n =0; n < x; n++){
        ledcWriteTone(channel, freq);
        ledcWrite(channel, dutyCycle);
        delay(y);
        ledcWriteTone(channel, freq);
        ledcWrite(channel, 0);
        delay(y);
    } 
  }
  
  void cricket(int i){
    int j =0;
    while (j < i){
      BUZZER(5,10);
      delay(100);
      j++;
    }
  }

#endif
